application:setKeepAwake(true)--just to keep it awake

--paralax speed settings
--just to make it really visible
--you will probably want to use smaller values
local speedX = 100
local speedY = 100
local speedRatio = 0.5 --how many times slower should move the foregound
local filter = 0.5  -- the filtering constant, 1.0 means no filtering, lower values mean more filtering

--background image
local bg = Bitmap.new(Texture.new("ios7_bg.png", true))
bg:setAnchorPoint(0.5, 0.5)
bg:setPosition(application:getContentWidth()/2, application:getContentHeight()/2)
stage:addChild(bg)

--foreground image
local fg = Bitmap.new(Texture.new("ios7_icons.png", true))
fg:setScale(0.8)
fg:setAnchorPoint(0.5, 0.5)
fg:setPosition(application:getContentWidth()/2, application:getContentHeight()/2)
stage:addChild(fg)


--ACCELEROMETER STUFF
local accelerometer = Accelerometer.new()
accelerometer:start()

local fx, fy, fz = 0, 0, 0

local function onEnterFrame()
	-- get accelerometer values
	local x, y, z = accelerometer:getAcceleration()

	-- do the low-pass filtering
	fx = x * filter + fx * (1 - filter)
	fy = y * filter + fy * (1 - filter)
	fz = z * filter + fz * (1 - filter)

	--moving background
	bg:setPosition(speedX + fx * speedX, speedY + fy * speedY)
	--moving fore ground
	fg:setPosition(speedX*speedRatio + fx * speedX*speedRatio, speedY*speedRatio + fy * speedY*speedRatio)
	
	--we can even try to scale them a bit to achieve 3d effect
	--bg:setScale(1-fx*0.5, 1-fy*0.5) -- but it did not seem to work for me :)
end

stage:addEventListener(Event.ENTER_FRAME, onEnterFrame)